include: package:flutter_lints/flutter.yaml

analyzer:
  exclude:
    - "**/dataconnect_generated/**"
    - "**/*.g.dart"
    - "**/*.freezed.dart"
    - "**/*.config.dart"
  errors:
    # Set the severity of the always_specify_types rule to warning as requested.
    always_specify_types: warning

linter:
  rules:
    # Every variable should have an explicit type.
    - always_specify_types
    
    # Additional common best practices not always enforced by default
    - prefer_const_constructors
    - prefer_const_declarations
    - prefer_final_locals
    - avoid_void_async
    - unawaited_futures
    - sort_constructors_first
    - camel_case_types
    - library_private_types_in_public_api
